Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.objects
Class Vector3fAttribute

    java.lang.Object
      de.grogra.graph.Attribute<T>
          de.grogra.graph.ObjectAttribute
              de.grogra.imp.objects.Tuple3fAttribute
                  de.grogra.imp.objects.Vector3fAttribute

All Implemented Interfaces:
  Described, KeyDescription, java.lang.Comparable

    public class Vector3fAttribute

extends Tuple3fAttribute

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.ObjectAttribute
`ObjectAttribute.IdentityAccessor`

Field Summary
`static Type` | `TYPE`

Fields inherited from class de.grogra.graph.Attribute
`ATTRIBUTE_0, attrType, quantity`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`Vector3fAttribute()`
`Vector3fAttribute(Quantity quantity)`

Method Summary
`java.lang.Object` | `cloneValue(java.lang.Object value)`
`java.lang.Object` | `toType(java.lang.Object value, Type t)`
`java.lang.Object` | `valueOf(java.lang.Object value)`

Methods inherited from class de.grogra.graph.ObjectAttribute
`get, getDerived, set, setDerived, setObject, setSubfield`

Methods inherited from class de.grogra.graph.Attribute
`compareTo, find, forName, getAttributeState, getDescription, getId, getKey, getQuantity, getSimpleName, getType, hashCode, initializeI18N, initializeName, isContained, isDerived, isWritable, setAttributeState, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final Type TYPE

Constructor Detail

### Vector3fAttribute

    public Vector3fAttribute()

### Vector3fAttribute

    public Vector3fAttribute(Quantity quantity)

Method Detail

### cloneValue

    public java.lang.Object cloneValue(java.lang.Object value)

### toType

    public java.lang.Object toType(java.lang.Object value,
                                   Type t)

  Overrides:
    `toType` in class `ObjectAttribute`

### valueOf

    public java.lang.Object valueOf(java.lang.Object value)

  Overrides:
    `valueOf` in class `ObjectAttribute`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD